package com.vp.plugin.sample.classcount.actions;

import com.vp.plugin.*;
import com.vp.plugin.action.*;
import com.vp.plugin.model.*;
import com.vp.plugin.model.factory.*;

public class ClassCountActionController implements VPActionController {
	
	public void performAction(VPAction aArg0) {
		IModelElement[] models = 
			ApplicationManager.instance().getProjectManager().getProject().toAllLevelModelElementArray(IModelElementFactory.MODEL_TYPE_CLASS);
		int count = models == null ? 0 : models.length;
		ApplicationManager.instance().getViewManager().showMessageDialog(null, String.valueOf(count));
	}
	
	public void update(VPAction aArg0) {
	}
}